Modifier un lien de paiement
curl --request PATCH \
--url https://api.saspay.me/api/v1/payment-links/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false
}
'import requests
url = "https://api.saspay.me/api/v1/payment-links/{id}/"
payload = { "is_active": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_active: false})
};
fetch('https://api.saspay.me/api/v1/payment-links/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d2e3f4a5-6b7c-4d8e-9f0a-1b2c3d4e5f6a",
"merchant": "6f1e2b3a-8c4d-4a2f-9e1b-2d3c4f5a6b7c",
"created_by_member": "4a5b6c7d-8e9f-4a0b-9c1d-2e3f4a5b6c7d",
"name": "Facture boutique",
"description": "Paiement en ligne",
"amount_type": "FIXED",
"amount": "15000.00",
"min_amount": null,
"currency": "XOF",
"slug": "kx7f2q1a",
"is_active": false,
"expires_at": null,
"usage_limit": 100,
"usage_count": 0,
"created_at": "2026-08-12T09:00:00Z",
"updated_at": "2026-08-12T09:00:00Z"
}Liens de paiement
Modifier un lien
Met à jour un lien de paiement existant
PATCH
/
payment-links
/
{id}
/
Modifier un lien de paiement
PUT /payment-links/{id}/ est également disponible pour un remplacement complet (mêmes champs, tous requis sauf les champs en lecture seule). merchant reste en lecture seule dans les deux cas — un lien ne peut jamais être réattribué à un autre marchand.Authorizations
Clé API secrète du marchand — header Authorization: Bearer sk_live_xxx (ou sk_test_xxx en environnement de test).
Path Parameters
Body
application/json
Maximum string length:
150Maximum string length:
255Available options:
FIXED, FREE Required string length:
3Required range:
x >= 1Response
Lien mis à jour
⌘I